import { DateTime } from "luxon";
/**
 * Finds and returns a DateTime object in an array that matches the given DateTime.
 *
 * @remarks Function uses DateTime.equals() to compare dates which is strick equality check:
 *
 * "*Equality check Two DateTimes are equal if and only if they represent the same millisecond,
 * have the same zone and location, and are both valid.
 * To compare just the millisecond values, use +dt1 === +dt2.*"
 * ({@link https://moment.github.io/luxon/api-docs/index.html#datetimeequals | DateTime equals})
 *
 * @param dateTime - The DateTime to check.
 * @param array - The array of dates to search in.
 * @returns The matching DateTime object if found, or null otherwise.
 * @throws Error if the dateTime or the array is invalid.
 */
export declare function findDateTime(dateTime: DateTime, array: DateTime[]): DateTime | null;
