import { DurationUnit } from "luxon";
/**
 * Checks if a given value is a valid DurationUnit.
 *
 * A DurationUnit is a string that represents a unit of time, such as
 * 'years', 'months', 'days', etc.
 * @param timeUnit - The value to check.
 * @returns A boolean value indicating whether the value is a valid DurationUnit.
 * Also acts as a type guard, narrowing the type of the value to DurationUnit if true.
 */
export declare function isValidTimeUnit(timeUnit: unknown): timeUnit is DurationUnit;
